#
# spec file for package OpenOffice_org-help (Version 3.1.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

###################################################################
## DO NOT EDIT THIS SPEC FILE
## Generated by:
## ./ooo-help-gen-spec OpenOffice_org-help-groupX.spec.in ooo-help-groupX
###################################################################

Name:           OpenOffice_org-help-group2
Version:        3.1.1.1
Release:        2.4.moblin2
%define         ooo_build_version 3.1.1.1
%define         piece      help
# test_build_langs:   	   1 = de and cs
#			   2 = all supported languages 
%define		test_build_langs 	2
# build_module_in_parallel 0 = no
#			   1 = yes (the number is defined be the number of cpus)
#			   2,3,4... = yes (force the number of modules to be built in parallel)
%define		build_module_in_parallel	1
# prepare_build:	   0 = no
#			   1 = yes (just build, install and create packages; without %%prep section and configure)
%define		prepare_build 		1
#
%if %test_build_langs == 0
%define       ooo_langs		""
%else
%if %test_build_langs == 1
%define       ooo_langs		""
%else
%define       ooo_langs		"en-ZA es et fr gl"
%endif
%endif
%define	      ooo_basis_dir	basis3.1
%define	      ooo_home		ooo3
#!BuildIgnore:  OpenOffice_org
BuildRequires:  java-devel unzip zip
BuildRequires:  OpenOffice_org-artwork-devel = %version
BuildRequires:  OpenOffice_org-libs-core-devel = %version
BuildRequires:  update-alternatives
%define	      ooo_prefix	%_libdir
%define	      ooo_home		ooo3
%define	      ooo_build_tag     ooo310-m19
License:        LGPL v3 only
Group:          Productivity/Office/Suite
AutoReqProv:    on
Summary:        OpenOffice.org Help Development
Url:            http://www.openoffice.org/
Source0:        %ooo_build_tag-%piece.tar.bz2
Source1:        ooo-sdf-%piece.tar.bz2
# helper stuff to produce pieces of the spec file
Source100:      OpenOffice_org-help-groupX.spec.in
Source101:      ooo-help-gen-spec
Source102:      ooo-help-groupX
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides files related to the OpenOffice.org help
development.


%if %test_build_langs >= 2

%package -n OpenOffice_org-help-en-ZA
License:        LGPL v3 only
Summary:        South Africa English Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:en_ZA)
Provides:       OpenOffice_org-en-ZA:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-en-ZA
South Africa English help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-en-ZA.



%package -n OpenOffice_org-help-es
License:        LGPL v3 only
Summary:        Spanish Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:es)
Provides:       OpenOffice_org-es:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-es
Spanish help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-es.



%package -n OpenOffice_org-help-et
License:        LGPL v3 only
Summary:        Estonian Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:et)
Provides:       OpenOffice_org-et:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-et
Estonian help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-et.



%package -n OpenOffice_org-help-fr
License:        LGPL v3 only
Summary:        French Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:fr)
Provides:       OpenOffice_org-fr:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-fr
French help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-fr.



%package -n OpenOffice_org-help-gl
License:        LGPL v3 only
Summary:        Galician Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:gl)
Provides:       OpenOffice_org-gl:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-gl
Galician help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-gl.


%endif


%prep
%setup -q -a1 -n %ooo_build_tag-%piece

%build
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export VERBOSE=1
# don't build help 8x since - well - it needs a shed load of memory.
export EXTRA_BUILD_FLAGS=%{?jobs:-P2}
export EXTRA_DMAKE_FLAGS="%{?jobs:-- -P2}"
# no help content in this package
export BUILD_HELP_SEPARATELY=YES
# this spec file is only for few selected localitions to speed the build in BS
export FORCE_OOO_LANGS=%ooo_langs
$OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag

%install
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export DESTDIR=$RPM_BUILD_ROOT
# this spec file is only for few selected localitions to speed the build in BS
export FORCE_OOO_LANGS=%ooo_langs
$OO_TOOLSDIR/piece/install-generic %piece %ooo_build_tag
# prune redundant files the scp2 likes to make for us
rm -Rf \
    "$DESTDIR/$OO_INSTDIR/basis-link" \
    "$DESTDIR/$OO_INSTDIR/ure"
# prune devel files; they are packageg when building en-US help
rm -Rf \
   "$DESTDIR/%{_datadir}/%ooo_home/files-help-prebuilt.txt" \
   "$DESTDIR/%{_datadir}/%ooo_home/files-help-devel.txt" \
   "$DESTDIR/%{_datadir}/%ooo_home/solver"

%clean
rm -rf $RPM_BUILD_ROOT


%if %test_build_langs >= 2
# en-ZA
%posttrans -n OpenOffice_org-help-en-ZA
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-en_ZA.txt || true

%preun -n OpenOffice_org-help-en-ZA
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-en_ZA.txt %_datadir/%ooo_home/files-help-en_ZA.txt.postun || true

%postun -n OpenOffice_org-help-en-ZA
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-en_ZA.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-en_ZA.txt.postun 2>/dev/null
# es
%posttrans -n OpenOffice_org-help-es
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-es.txt || true

%preun -n OpenOffice_org-help-es
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-es.txt %_datadir/%ooo_home/files-help-es.txt.postun || true

%postun -n OpenOffice_org-help-es
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-es.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-es.txt.postun 2>/dev/null
# et
%posttrans -n OpenOffice_org-help-et
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-et.txt || true

%preun -n OpenOffice_org-help-et
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-et.txt %_datadir/%ooo_home/files-help-et.txt.postun || true

%postun -n OpenOffice_org-help-et
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-et.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-et.txt.postun 2>/dev/null
# fr
%posttrans -n OpenOffice_org-help-fr
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-fr.txt || true

%preun -n OpenOffice_org-help-fr
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-fr.txt %_datadir/%ooo_home/files-help-fr.txt.postun || true

%postun -n OpenOffice_org-help-fr
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-fr.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-fr.txt.postun 2>/dev/null
# gl
%posttrans -n OpenOffice_org-help-gl
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-gl.txt || true

%preun -n OpenOffice_org-help-gl
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-gl.txt %_datadir/%ooo_home/files-help-gl.txt.postun || true

%postun -n OpenOffice_org-help-gl
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-gl.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-gl.txt.postun 2>/dev/null
%endif



%if %test_build_langs >= 2

%files -f files-help-en_ZA.txt -n OpenOffice_org-help-en-ZA
%defattr(-,root,root)

%files -f files-help-es.txt -n OpenOffice_org-help-es
%defattr(-,root,root)

%files -f files-help-et.txt -n OpenOffice_org-help-et
%defattr(-,root,root)

%files -f files-help-fr.txt -n OpenOffice_org-help-fr
%defattr(-,root,root)

%files -f files-help-gl.txt -n OpenOffice_org-help-gl
%defattr(-,root,root)
%endif


%changelog
* Tue Sep  1 2009 Anas Nashif <anas.nashif@intel.com> - 3.1.1.1
- Initial import into Moblin
* Wed Aug 26 2009 pmladek@suse.cz
- updated to the milestone ooo310-m19
- updated ooo-build to version 3.1.1.1 (3.1.1-rc1)
* Tue Aug 18 2009 pmladek@suse.cz
- updated to the milestone ooo310-m18
- updated ooo-build to version 3.1.0.99.3 (3.1.1-beta3)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to the milestone ooo310-m17
- updated ooo-build to version 3.1.0.99.2 (3.1.1-beta2)
- updated extra localizations sources: bg el mk nb nn sk sl
* Thu Jul 23 2009 pmladek@suse.cz
- updated to the milestone ooo310-m16
- updated ooo-build to version 3.1.0.99.1 (3.1.1-beta1)
* Mon Jun 29 2009 pmladek@suse.cz
- updated to the milestone ooo310-m14
- updated ooo-build to version 3.1.0.98.2 (3.1.1-alpha2)
* Fri Jun 26 2009 pmladek@suse.cz
- split OpenOffice_org-help source package into more pieces to make the
  build more parallel; asked by Coolo
